Subject: Re: The rxvt.1 manpage of the rxvt-2.7.10-4 package.
From: "Gerrit P. Haase" <[email-masked]>
To: "Fung Chai" <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 May 2004 09:58:24 +0200

you wrote:
> The rxvt manpage cannot be correctly formatted because the nroff file
> doc/rxvt.1 contains some left-over yodl bits.  I suspect that the
> yold2man-post program was not invoked to remove the yodl stuff.

> Here is a way to fix this.

> First, you need to build the yodl software under cygwin.  Download the yodl
> source code; AFAIK, the last version is 1.31.18.  Apply the following
> context-diff patch to the configure script in the top-level directory:

> diff -u yodl-1.31.18/configure yodl-1.31.18.orig/configure
> --- yodl-1.31.18/configure      2004-05-12 11:11:56.000000000 +0800
> +++ yodl-1.31.18.orig/configure 1999-11-18 04:09:38.000000000 +0800
> @@ -1073,9 +1073,9 @@
>         fi

> -    if test "x$OSTYPE" = "xcygwin" || test "x$OSTYPE" = "xWindows_NT"; then
> -       LN=ln
> -       LN_S='ln -s'
> +    if test "x$OSTYPE" = "xcygwin32" || test "x$OSTYPE" = "xWindows_NT"; then
> +       LN=cp # hard link does not work under cygnus-nt
> +       LN_S='cp -r' # symbolic link does not work for native nt
>         ZIP="zip -r -9" #
>         DOTEXE=.exe
>         # urg

# hard link does not work under cygnus-nt
# symbolic link does not work for native nt

This is not correct.  Hard links are working.  Hard links are not
working on a subset of Windows versions (95/98/ME) and if this is the
system cygwin is running for, files are copied instead of linked, so it
should be no problem using hard links.

Symlinks are different, but usually they work for me.

> I've tried to apply the changes to aclocal.m4, but hit a problem with
> autoreconf, which I couldn't resolve.  Maybe someone who's fluent in autoconf
> can help out here.

> Anyway, the original configure script was expecting the OSTYPE to be cygwin32.
> That was why it was not possible to build yodl out of the box.  After applying
> the above patch, follow the instructions in INSTALL.txt to build and install
> the yodl software.

This is wrong,  the OSTYPE name should be cygwin.

> Note that there are other references to cygwin32, particularly #ifdef CYGWIN32
> in source files.  Therefore, a complete fix is to do a global search and
> replace.

> Here are some info on yodl:
> (1) The yodl project has been discontinued; no one's maintaining it.
> (2) AFAIK, only the zsh, lilypond, and rxvt projects made use of yodl.
> (3) The zsh and lilypond projects have moved away from yodl towards docbook.

> Take note especially of point number 1.  There is no support for yodl.  If you
> install yodl on your system, you will be on your own.  The purpose of this
> exercise is to fix rxvt.1.

> And now back to rxvt.  Download the rxvt source code from your nearest cygwin
> mirror site.  Follow the instructions in INSTALL.  Before you run
> "make install", do the following:

>         $ cd doc
>         $ rm rxvt.tbl
>         $ make yodl/versioninfo.yo
>         $ make

> The final make will produce a correct rxvt.1 file.  You can now go back to
> the top-level directory and complete the installation.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/